package ch.usi.inf.sa4.sanmarinoes.smarthut.dto;

import javax.validation.constraints.*;

/** DTO for password reset request */
public class PasswordResetRequest {

    @NotNull private String confirmationToken;

    /** A properly salted way to store the password */
    @NotNull
    @NotEmpty(message = "Please provide a password")
    @Size(
            min = 6,
            max = 255,
            message = "Your password should be at least 6 characters long and up to 255 chars long")
    private String password;

    public String getConfirmationToken() {
        return confirmationToken;
    }

    public void setConfirmationToken(String confirmationToken) {
        this.confirmationToken = confirmationToken;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }
}
