package ch.usi.inf.sa4.sanmarinoes.smarthut.models;

import java.util.Set;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.core.*;
import org.springframework.security.core.userdetails.UserDetails;
import org.springframework.security.core.userdetails.UserDetailsService;
import org.springframework.security.core.userdetails.UsernameNotFoundException;
import org.springframework.stereotype.Component;

@Component
public class JWTUserDetailsService implements UserDetailsService {
    @Autowired private UserRepository repository;

    @Override
    public UserDetails loadUserByUsername(String username) throws UsernameNotFoundException {
        User toReturn = repository.findByUsername(username);
        if (toReturn != null && toReturn.getEnabled()) {
            return new org.springframework.security.core.userdetails.User(
                    toReturn.getUsername(), toReturn.getPassword(), Set.of());
        } else {
            throw new UsernameNotFoundException(username);
        }
    }
}
