package ch.usi.inf.sa4.sanmarinoes.smarthut.models;

import javax.persistence.Entity;

/**
 * Represents a dimmer able to set absolute intensity values (i.e. knowing the absolute intensity
 * value, like a knob)
 */
@Entity
public class KnobDimmer extends Dimmer {

    public KnobDimmer() {
        super("knobDimmer");
    }

    /**
     * Sets absolutely the intensity level of all lights connected
     *
     * @param intensity the intensity (must be from 0 to 100)
     */
    public void setLightIntensity(int intensity) {
        for (DimmableLight dl : getOutputs()) {
            dl.setIntensity(intensity);
        }
    }
}
