package ch.usi.inf.sa4.sanmarinoes.smarthut.models;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.validation.constraints.NotNull;

/** Represents a standard non-dimmable light */
@Entity
public class RegularLight extends Switchable {

    /** Whether the light is on or not */
    @Column(name = "light_on", nullable = false)
    @NotNull
    boolean on;

    public RegularLight() {
        super("regularLight");
        this.on = false;
    }

    @Override
    public boolean isOn() {
        return on;
    }

    @Override
    public void setOn(boolean on) {
        this.on = on;
    }
}
