package ch.usi.inf.sa4.sanmarinoes.smarthut.utils;

import java.util.List;
import java.util.function.Predicate;
import java.util.stream.Collectors;
import java.util.stream.StreamSupport;

/** A class with a bunch of useful static methods */
public final class Utils {
    private Utils() {}

    @FunctionalInterface
    public interface ConsumerWithException<T> {
        void apply(T input) throws Throwable;
    }

    public static <T> List<T> toList(Iterable<T> iterable) {
        return StreamSupport.stream(iterable.spliterator(), false).collect(Collectors.toList());
    }

    public static <T> Predicate<T> didThrow(ConsumerWithException<T> consumer) {
        return (t) -> {
            try {
                consumer.apply(t);
                return true;
            } catch (Throwable e) {
                System.err.println(e.getMessage());
                return false;
            }
        };
    }
}
